QGIS Application - Bug report #9809
xls / xIsx field names are imported as first line
2014-03-18 08:49 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 18345
Description

Hi, In master and 2.2, xIs and xIsx field names are imported as first line.

Tome, itis a blocker, even if | don't mark it so. | probably will have to downgrade to 2.0 here.
Backport more than welcome.

This is probably related to OGR_XLSX_HEADERS option.

History

#1 - 2014-03-24 06:25 AM - Alexander Bruy

Sometimes field names imported correctly, but | can't find any dependency

#2 - 2014-06-20 06:28 AM - Regis Haubourg
Hi,
a user raised that when explicitly defining field names line as text in spreadsheet software solves the issue.

Hope that helps
Régis

#3 - 2014-10-26 03:26 PM - Jiirgen Fischer

- Category changed from Data Provider to Data Provider/OGR

#4 - 2016-10-07 03:38 AM - Even Rouault

- Status changed from Open to Feedback

@regis Is the issue still uptodate ? Is there any file to reproduce you could attached ?

#5 - 2017-01-04 05:21 AM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to not reproducable

Even Rouault wrote:

@regis Is the issue still uptodate ? Is there any file to reproduce you could attached ?

2025-04-27

12



http://www.gdal.org/ogr/drv_xlsx.html

| can't find an example it does not work as expected in a recent qgis release (2.14 or 2.18 with gdal 2.*).

Closing for lack of feedback, please reopen if necessary.

#6 - 2017-01-04 05:34 AM - Regis Haubourg

Hi sorry for the lag again, | quit my previous work and do not have test data anymore. | suspect the issue is not there anymore anyway.
